Package htsjdk.samtools.fastq

# Class AsyncFastqWriter

java.lang.Object
htsjdk.samtools.util.AbstractAsyncWriter<FastqRecord>
htsjdk.samtools.fastq.AsyncFastqWriter

All Implemented Interfaces:
  `Writer<FastqRecord>`, `FastqWriter`, `Closeable`, `AutoCloseable`

public class AsyncFastqWriter extends AbstractAsyncWriter<FastqRecord> implements FastqWriter
Implementation of a FastqWriter that provides asynchronous output.

## Field Summary

### Fields inherited from class htsjdk.samtools.util.AbstractAsyncWriter

`DEFAULT_QUEUE_SIZE`

## Constructor Summary

Constructors
Constructor
Description
`AsyncFastqWriter(FastqWriter out, int queueSize)`

## Method Summary

Modifier and Type
Method
Description
`protected String`
`getThreadNamePrefix()`
Returns the prefix to use when naming threads.
`protected void`
`synchronouslyClose()`
`protected void`
`synchronouslyWrite(FastqRecord item)`

### Methods inherited from class htsjdk.samtools.util.AbstractAsyncWriter

`close, write`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface htsjdk.samtools.fastq.FastqWriter

`close, write`

### Methods inherited from interface htsjdk.io.Writer

`write`

## Constructor Details

### AsyncFastqWriter

public AsyncFastqWriter(FastqWriter out, int queueSize)

## Method Details

### getThreadNamePrefix

protected String getThreadNamePrefix()
Description copied from class: `AbstractAsyncWriter`
Returns the prefix to use when naming threads.

Specified by:
  `getThreadNamePrefix` in class `AbstractAsyncWriter<FastqRecord>`

### synchronouslyWrite

protected void synchronouslyWrite(FastqRecord item)

Specified by:
  `synchronouslyWrite` in class `AbstractAsyncWriter<FastqRecord>`

### synchronouslyClose

protected void synchronouslyClose()

Specified by:
  `synchronouslyClose` in class `AbstractAsyncWriter<FastqRecord>`